OpenVDB: FastSweeping< SdfGridT, ExtValueT >::PruneMinMaxFltKernel Struct Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FastSweeping< SdfGridT, ExtValueT >::PruneMinMaxFltKernel Struct Reference

`#include <openvdb/tools/FastSweeping.h>`

## Public Member Functions
| PruneMinMaxFltKernel (SdfValueT min, SdfValueT max)
void | operator() (typename SdfTreeT::RootNodeType &node, size_t=1) const
template<typename NodeT >
void | operator() (NodeT &node, size_t=1) const
void | operator() (typename SdfTreeT::LeafNodeType &leaf, size_t=1) const

## Public Attributes
SdfValueT | mMin
SdfValueT | mMax

## Detailed Description

template<typename SdfGridT, typename ExtValueT = typename SdfGridT::ValueType>
struct openvdb::v11_0::tools::FastSweeping< SdfGridT, ExtValueT >::PruneMinMaxFltKernel

Private class of FastSweeping to prune sdf value that is equal to float max or float min.

## Constructor & Destructor Documentation

## ◆ PruneMinMaxFltKernel()

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

PruneMinMaxFltKernel | ( | SdfValueT | min,
|  | SdfValueT | max
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>
template<typename NodeT >

void operator() | ( | NodeT & | node,
|  | size_t | = `1`
| ) |  | const
| inline

## ◆ operator()() [2/3]

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

void operator() | ( | typename SdfTreeT::LeafNodeType & | leaf,
|  | size_t | = `1`
| ) |  | const
| inline

## ◆ operator()() [3/3]

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

void operator() | ( | typename SdfTreeT::RootNodeType & | node,
|  | size_t | = `1`
| ) |  | const
| inline

## Member Data Documentation

## ◆ mMax

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

SdfValueT mMax

## ◆ mMin

template<typename SdfGridT , typename ExtValueT = typename SdfGridT::ValueType>

SdfValueT mMin